<?php
session_start();
define('NTOP', 1);
$title = 'Информация о сайте';
require_once('../system/connect.php');
require_once('../system/core.php');
require_once('../system/function.php');
require_once('head.php');


$isset = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."'");
if(mysql_num_rows($isset) == 0)
	{
		echo '<div class="topni">';
		echo 'Сайта нет в базе! <br/>';
		echo '</div>';
	}
else
	{	
		$online_sait = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_online` WHERE `id_sait` = '".$id."'"));
		$sait_comm = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_comments` WHERE `id_sait` = '".$id."'"));
		$user = mysql_fetch_array($isset);
		if($user['ban'] == 1)
			{
				echo '<div class="topni">';
				echo 'Сайта забанен! <br/>';
				echo '</div>';
				require_once('foot.php');
				exit;
			}
		if($user['status'] == 0)
			{
				echo '<div class="topni">';
				echo 'Вы не можете смотреть статистику данного сайта , так как он проходит модерацию! <br/>';
				echo '</div>';
				require_once('foot.php');
				exit;
			}
				echo '<div class="title2"><strong>'.$user['name'].'</strong> <small>['.$online_sait.' чел. онлайн]</small></div>';
				switch($act)
					{
						default:
						
                        mysql_query("UPDATE `top_sait` SET  `count` = `count`+1 WHERE `id` = '".$id."'");
						$category = mysql_fetch_array(mysql_query("SELECT * FROM `".$prefix."cat` WHERE `id` = '".$user['category']."'"));
						$rat_plus = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."reputation` WHERE `id_sait` = '".$id."' AND `type` = 'plus'"));
						$rat_minus = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."reputation` WHERE `id_sait` = '".$id."' AND `type` = 'minus'"));
						$all_rat = $rat_plus + $rat_minus;
						if($rat_plus > 0)
							{
								$procent_plus = round(($rat_plus/$all_rat)*100,1);
							}
						else
							{
								$procent_plus = '0';
							}
						if($rat_minus > 0)
							{
								$procent_minus = round(($rat_minus/$all_rat)*100,1);
							}
						else
							{
								$procent_minus = '0';
							}
						$proverka_reputation = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."reputation` WHERE `ip` = '".$ip."' AND `time` > '".(time()-86400)."' AND `id_sait` = '".$id."'"));
						
						
						echo '<div class="main"><img src="http://mini.s-shot.ru/140x320/240/png/?http://'.$user['url'].'" align="top" alt="Скриншот сайта '.$user['url'].'"/></div>';
						
						echo '<div class="title"><strong>Общие</strong></div>';
						echo '<div class="main">Название: <strong>'.$user['name'].'</strong><br/>';
						echo 'Адрес: <a href="http://king-top.ru/out/'.$user['id'].'"><strong>'.$user['url'].'</strong></a><br/>';
echo 'Категория: <a href="http://king-top.ru/m/category/view/'.$user['category'].'"><strong>'.$category['name'].'</strong></a><br/>';
						echo 'Описание: '.$user['about'].'</div>';
						echo '<div class="main">Просмотров: '.$user['count'].'</div>';
						echo '<div class="title"><strong>Рейтинг сайта</strong></div>';
						echo '<div class="topni"><font color=green><strong>За</strong></font> : <strong>'.$rat_plus.'</strong> ['.$procent_plus.'%]<br/>';
						echo '<font color=red><strong>Против</strong></font> : <strong>'.$rat_minus.'</strong> ['.$procent_minus.'%]';
						if($proverka_reputation == 0)
							{
								echo '<hr><strong>Голосовать</strong>: ';
								echo '<a href="http://king-top.ru/m/stats.php?act=reputation_za&id='.$id.'">За</a> | <a href="http://king-top.ru/m/stats.php?act=reputation_protiv&id='.$id.'">Против</a></div>';
							}
						echo '</div>';
						
						
						echo '<div class="topni"><a href="/stats/'.$id.'/com">Отзовы о сайте</a> ['.$sait_comm.']</div>';
						
						echo '<div class="title"><strong>Популярность в поисковиках</strong></div>';
						echo '<div class="main">- Google PR: <b>'.$user['pr'].'</b><br /> 
						- Яндекс тИЦ: <b>'.$user['cy'].'</b><br /></div>';
						echo '<div class="title"><strong>Счётчик тИЦ и PR</strong></div>';
						echo '<div class="main"><a href="http://king-top.ru/stat/10"><img src="http://king-top.ru/info/'.$user['id'].'" alt="SEO анализ сайта '.$user['url'].'"/></a>';
						
						echo '</br>- <a href="http://king-top.ru/stats/'.$id.'/seo">Код счетчика</a></div>';


			echo '<div class="main">';
			echo 'О сайте
			| <a href="http://king-top.ru/stats/'.$id.'/yday">Общая</a> 
| <a href="http://king-top.ru/stats/'.$id.'/hours">По часам</a> 
| <a href="http://king-top.ru/stats/'.$id.'/ip">По IP</a> 
| <a href="http://king-top.ru/stats/'.$id.'/operators">По операторам</a> 
| <a href="http://king-top.ru/stats/'.$id.'/online">По Онлайн</a>';
			echo '</div>';
				break;
		


case 'seo':
echo '<div class="main">Код счётчика тИЦ и PR:</br>';
echo '<img src="http://king-top.ru/info/'.$user['id'].'" alt="SEO анализ сайта '.$user['url'].'"/></br>';
echo '<textarea cols="25" rows="4"><a href="http://king-top.ru/stat/'.$user['id'].'"><img src="http://king-top.ru/info/'.$user['id'].'" alt="SEO анализ сайта '.$user['url'].'"/></a></textarea>';
echo '</div>';
echo '<div class="main">Код счётчика PR:</br>';
echo '<img src="http://king-top.ru/info/'.$user['id'].'/pr" alt="SEO анализ сайта '.$user['url'].'"/></br>';
echo '<textarea cols="25" rows="4"><a href="http://king-top.ru/stat/'.$user['id'].'"><img src="http://king-top.ru/info/'.$user['id'].'/pr" alt="SEO анализ сайта '.$user['url'].'"/></a></textarea>';
echo '</div>';
echo '<div class="main">Код счётчика ТИЦ:</br>';
echo '<img src="http://king-top.ru/info/'.$user['id'].'/cy" alt="SEO анализ сайта '.$user['url'].'"/></br>';
echo '<textarea cols="25" rows="4"><a href="http://king-top.ru/stat/'.$user['id'].'"><img src="http://king-top.ru/info/'.$user['id'].'/cy" alt="SEO анализ сайта '.$user['url'].'"/></a></textarea>';
echo '</div>';
break;





		
		case 'com':		
			if(isset($_POST['ok']))
							{
								$name = isset($user_data) ? $user_data['login'] : 'Гость';
								$comment = filter($_POST['comment']);
								$test = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_comments` WHERE `name` = '".$name."' AND `text` = '".$comment."' AND `time` > '".(time()-500)."' AND `id_sait` = '".$id."'"));
								if($test == 0)
									{
										$error = '';
										if(empty($comment))
											{
												$error .= 'Нет отзыва<br/>';
											}
										if($user_data)
											{
												if($user_data['antiflud'] + $set['antiflud_time'] > time())
													{
														$error .= 'Вы писали сообщение меньше чем '.$set['antiflud_time'].' секунд назад! <br/>';
													}
											}
										else
											{
												if($set['guest_antiflud'] + $set['antiflud_time'] > time())
													{
														$error .= 'Вы писали сообщение меньше чем '.$set['antiflud_time'].' секунд назад! <br/>';
													}									
											}
										if(mb_strlen($comment) > 100)
											{
												$error .= 'Отзыв содержит больше 100 символов<br/>';
											}
										if(!empty($error))
											{
												echo '<div class="topni">';
												echo $error;
												echo '</div>';
											}
										else
											{

												$comment = mysql_query("INSERT INTO `".$prefix."sait_comments` SET `name` = '".$name."', `text` = '".$comment."', `time` = '".time()."', `id_sait` = '".$id."'");
												if($user_data)
													{
														$update_antiflud = mysql_query("UPDATE `".$prefix."users` SET `antiflud` = '".time()."' WHERE `id` = '".$user_data['id']."'");
													}
												else
													{
														$update_antiflud_guest = mysql_query("UPDATE `".$prefix."settings` SET `value` = '".time()."' WHERE `name` = 'guest_antiflud'");
													}
												if($comment)
													{
														echo '<div class="main">';
														echo 'Отзыв добавлен!<br/>';
														echo '</div>';
													}
												else
													{
														echo '<div class="topni">';
														echo 'Отзыв не добавлен!<br/>';
														echo '</div>';
													}
											}
									}	
							}
						echo '<div class="title2">Отзыва к сайту</div>';
						$count = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_comments` WHERE `id_sait` = '".$id."'"));
						if($count > 0)
							{
								$total=intval(($count-1)/$page_sait_comments)+1; 
								$page=abs(intval($_GET['page'])); 
								if(empty($page) OR $page < 0)
									{
										$page = 1; 
									}
								if($page > $total)
									{
										$page = $total; 
									}
								$past=intval($count/$page_sait_comments);  
								$start=$page*$page_sait_comments-$page_sait_comments; 
								$comments = mysql_query("SELECT * FROM `".$prefix."sait_comments` WHERE `id_sait` = '".$id."' ORDER BY `time` DESC LIMIT ".$start.",".$page_sait_comments."");
								while($row = mysql_fetch_array($comments)) 
									{
										$start++;
										echo '<div class="topni"><span class="o">'.$start.'</span> <b>'.$row['name'].'</b> ['.data($row['time']).']</div>';
										echo '<div class="main">';
										echo $row['text'].'<br/>';
										echo '</div>';
									}
								navigation($count,$page_sait_comments,$page,'http://king-top.ru/stats/'.$id.'/com/',$total);
							}
						else
							{
								echo '<div class="main">';
								echo 'Отзывов к данному сайту нет!<br/>';
								echo '</div>';
							}
						if(!$user_data)
                        {
                         echo '<div class="main"><b>Отзывы разрешено оставлять только пользователям топ рейтинга !!!!</b></div>';
				        }
                         else
				        {
						echo '<div class="title2">Добавления отзыва</div>';
						echo '<div class="main">';
						echo '
						<form action="/stats/'.$id.'/com" method="post">
						Комментарий [max. 100]:<br/>
						<textarea name="comment" cols="38" rows="8"></textarea><br/>
						';

						echo '<input name="ok" type="submit" value="Добавить" />
						</form>
						</div>';
						}
		break;	
		

				
	case 'yday':		
			
        $yday_start = mktime(0, 0, 0, date("m"), (date("d")-1), date("Y"));
		$yday_finish = mktime(23, 59, 59, date('m'), (date('d')-1), date('Y'));
		$yday_host = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hosts` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `id_sait` = '".$id."'"));
		$yday_hit = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hits` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `id_sait` = '".$id."'"));
		$yday_in = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."go` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `type` = 'in' AND `id_sait` = '".$id."'"));
		$yday_out = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."go` WHERE `time` BETWEEN '".$yday_start."' AND '".$yday_finish."' AND `type` = 'out' AND `id_sait` = '".$id."'"));

		echo '<div class="main"><strong>Сегодня</strong><br />
Хосты: '.$user['hosts'].' | Хиты: '.$user['hits'].'<br />
В топ: '.$user['in'].' | Из топа: '.$user['out'].'</div>
<div class="main"><strong>Вчера</strong><br />
Хосты: '.$yday_host.' | Хиты: '.$yday_hit.'<br />
В топ: '.$yday_in.' | Из топа: '.$yday_out.'</div>
<div class="main"><strong>Всего</strong><br />
Хосты: '.$user['all_hosts'].' | Хиты: '.$user['all_hits'].'<br />
В топ: '.$user['all_in'].' | Из топа: '.$user['all_out'].'</div>';

echo '<div class="main">';
		echo '<a href="http://king-top.ru/stats/'.$id.'">О сайте</a> | <strong>Общая</strong> 
| <a href="http://king-top.ru/stats/'.$id.'/hours">По часам</a> 
| <a href="http://king-top.ru/stats/'.$id.'/ip">По IP</a> 
| <a href="http://king-top.ru/stats/'.$id.'/operators">По операторам</a> 
| <a href="http://king-top.ru/stats/'.$id.'/online">По Онлайн</a></div>';

break;
			
				
	
	  case 'hours':
	echo '<div class="title"><strong>Часы: [Хосты/Хиты]</strong></div><div class="main">';
		for($hour = 0; $hour< 24; $hour++)
		{
		$start_time = mktime($hour, 0, 0, date("m"), date("d"), date("Y"));
		$finish_time = mktime($hour+1, 0, 0, date("m"), date("d"), date("Y"));
		$hosts = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hosts` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'"));
		$hits = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'"));
			if(strlen($hour) == 1)
			{
			$hour = '0'.$hour;
			}
			if(strlen($hour + 1) == 1)
			{
			$f = '0'.($hour + 1);
			}
				else
			{
			$f = $f + 1;
			}
     if($hosts > 0 || $hits > 0){
		echo ''.$hour.':00 - '.($f).':00: ['.$hosts.'/'.$hits.']</br><hr>';
             }
		}
		echo '</div>';
		
	echo '<div class="main">';
	echo '<a href="http://king-top.ru/stats/'.$id.'">О сайте</a> 
| <a href="http://king-top.ru/stats/'.$id.'/yday">Общая</a> | <strong>По часам</strong> 
| <a href="http://king-top.ru/stats/'.$id.'/ip">По IP </a> 
| <a href="http://king-top.ru/stats/'.$id.'/operators">По операторам</a> 
| <a href="http://king-top.ru/stats/'.$id.'/online">По Онлайн</a></div>';
		break;
	case 'ip':
		$start_time = mktime(00, 00, 00, date("m"), date("d"), date("Y"));
		$finish_time = mktime(23, 59, 59, date("m"), date("d"), date("Y"));
		$al = mysql_query("SELECT COUNT(`ip`) FROM `".$prefix."hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'");
		$all = mysql_result($al,0);
		$count = mysql_num_rows(mysql_query("SELECT DISTINCT `ip` as `ip`, COUNT(`ip`) AS `count` FROM `".$prefix."hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."' GROUP BY `ip`"));
			if($count > 0)
		{
		echo '<div class="title"><strong>IP: [Хиты/Проценты]</strong></div><div class="main">';
	$total=intval(($count-1)/$pages)+1; 
	$page=abs(intval($_GET['page'])); 
	if(empty($page) OR $page < 0)
	{
	$page = 1; 
	}
	if($page > $total)
	{
	$page = $total; 
	}
	$past=intval($count/$pages);  
	$start=$page*$pages-$pages; 
	     $query = mysql_query("SELECT DISTINCT `ip` as `ip`, COUNT(`ip`) AS `count` FROM `".$prefix."hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'  GROUP BY `ip` LIMIT ".$start.",".$pages."");
		while($stata = mysql_fetch_array($query))
		{
		$procent = ($stata['count'] / $all) * 100;
		echo ''.$stata['ip'].': [<b>'.$stata['count'].'</b>/<b>'.round($procent, 1).'%</b>]</br><hr>';
		}
		echo '</div>';
	navigation($count,$pages,$page,'http://king-top.ru/stats/'.$id.'/ip/',$total);
		}
	else
		{
		echo 'Нет статистики по IP для этого сайта сегодня.<br/>';
		}
	echo '<div class="main">';
	echo '<a href="http://king-top.ru/stats/'.$id.'">О сайте</a> 
| <a href="http://king-top.ru/stats/'.$id.'/yday">Общая</a> 
| <a href="http://king-top.ru/stats/'.$id.'/hours">По часам</a> | <strong>По IP</strong> 
| <a href="http://king-top.ru/stats/'.$id.'/operators">По операторам</a> 
| <a href="http://king-top.ru/stats/'.$id.'/online">По Онлайн</a></div>';
	break;
	     case 'operators':
$start_time = mktime(0, 0, 0, date("m"), date("d"), date("Y"));
$finish_time = mktime(23, 59, 59, date("m"), date("d"), date("Y"));
$all = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."hits` WHERE `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `id_sait` = '".$id."'"));
$opera = mysql_query("SELECT DISTINCT `".$prefix."hits`.`operator`, COUNT(`".$prefix."hits`.`operator`) AS `count`, `".$prefix."ip_name`.`operator` as `name` FROM `".$prefix."hits`, `".$prefix."ip_name` WHERE `".$prefix."hits`.`id_sait` = '".$id."' AND `".$prefix."hits`.`time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `".$prefix."hits`.`operator` = `".$prefix."ip_name`.`id` GROUP BY `".$prefix."hits`.`operator` ORDER BY 2 DESC");
$oper_count = mysql_num_rows($opera);
if($oper_count > 0)
{
echo '<div class="title">Оператор(Страна): [Хиты/Проценты]</div><div class="main">';
	$total=intval(($oper_count-1)/$pages)+1; 
	$page=abs(intval($_GET['page'])); 
	if(empty($page) OR $page < 0)
		{
	$page = 1; 
		}
	if($page > $total)
		{
	$page = $total; 
		}
	$past=intval($oper_count/$pages);  
	$start=$page*$pages-$pages; 
$oper = mysql_query("SELECT DISTINCT `".$prefix."hits`.`operator`, COUNT(`".$prefix."hits`.`operator`) AS `count`, `".$prefix."ip_name`.`operator` as `name` FROM `".$prefix."hits`, `".$prefix."ip_name` WHERE `".$prefix."hits`.`id_sait` = '".$id."' AND `time` BETWEEN '".$start_time."' AND '".$finish_time."' AND `".$prefix."hits`.`operator` = `".$prefix."ip_name`.`id` GROUP BY `".$prefix."hits`.`operator` ORDER BY 2 DESC LIMIT ".$start.",".$pages."");
while($op = mysql_fetch_array($oper)){

$strana = mysql_fetch_array(mysql_query("SELECT * FROM `".$prefix."ip_name` WHERE `operator` = '".$op['name']."'"));

$procent = ($op['count'] / $all) * 100;
echo '['.$strana['coun'].']'.$op['name'].' ('.$strana['country'].'): [<b>'.$op['count'].'/'.round($procent, 2).'%</b>]</br><hr>';}
echo '</div>';
navigation($oper_count,$pages,$page,'http://king-top.ru/stats/'.$id.'/operators/',$total);
}else{
echo '<div class="main">Нет статистики по операторам для этого сайта сегодня.</div>';}

	echo '<div class="main"> <a href="http://king-top.ru/stats/'.$id.'">О сайте</a>  
| <a href="http://king-top.ru/stats/'.$id.'/yday">Общая</a> 
| <a href="http://king-top.ru/stats/'.$id.'/hours">По часам</a> 
| <a href="http://king-top.ru/stats/'.$id.'/ip">По IP</a> | <strong>По операторам</strong> 
| <a href="http://king-top.ru/stats/'.$id.'/online">По Онлайн</a></div>';
	break;


		case 'online':
		$all = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait_online` WHERE `id_sait` = '".$id."'"));
		if($all != 0)
			{ 
	echo '<div class="title">UA: [IP/Время]</div><div class="main">';
		$total=intval(($all-1)/$pages)+1; 
		$page=abs(intval($_GET['page'])); 
		if(empty($page) OR $page < 0)
			{
		$page = 1; 
			}
		if($page > $total)
			{
		$page = $total; 
			}
		$past=intval($all/$pages);  
		$start=$page*$pages-$pages; 
		   $onl = mysql_query("SELECT * FROM `".$prefix."sait_online` WHERE `id_sait` = '".$id."' LIMIT ".$start.",".$pages."");
			while($row = mysql_fetch_array($onl)) 
				{
	echo ''.$row['ua'].': ['.$row['ip'].'/'.data($row['time']).']</br><hr>';
									}
								echo '</div>';

		navigation($all,$pages,$page,'http://king-top.ru/stats/'.$id.'/online/',$total);
		}
			else
		{
	echo 'Нет статистики по онлайн для этого сайта сегодня.<br/>';
		}
	
	echo '<div class="main">';
		echo '<a href="http://king-top.ru/stats/'.$id.'">О сайте</a>  
| <a href="http://king-top.ru/stats/'.$id.'/yday">Общая</a> 
| <a href="http://king-top.ru/stats/'.$id.'/hours">По часам</a> 
| <a href="http://king-top.ru/stats/'.$id.'/ip">По IP</a> 
| <a href="http://king-top.ru/stats/'.$id.'/operators">По операторам</a> | <strong>По Онлайн</strong></div>';
	
	break;
	
	          case 'reputation_za':
						$proverka_reputation = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."reputation` WHERE `ip` = '".$ip."' AND `time` > '".(time()-86400)."' AND `id_sait` = '".$id."'"));
						if($proverka_reputation == 0)
							{
								$repa = mysql_query("INSERT INTO `".$prefix."reputation` SET `type` = 'plus', `ip` = '".$ip."', `time` = '".time()."', `id_sait` = '".$id."'");
								if($repa)
									{
										echo '<div class="main">';
										echo 'Репутация сайта успешно повышена на 1 единицу!<br/>';
										echo '</div>';
									}
								else
									{
										echo '<div class="main">';
										echo 'Репутация не изменена!<br/>';
										echo '</div>';
									}
							}
							else
							{
								echo '<div class="main">';
								echo 'Вы уже голосовали за этот сайт , голосовать можно 1 раз за 24 часа!<br/>';
								echo '</div>';
							}
						
						echo '<div class="topni"><a href="http://king-top.ru/stats/'.$id.'">К статистике сайта</a></div>';
						break;
						case 'reputation_protiv':
						$proverka_reputation = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."reputation` WHERE `ip` = '".$ip."' AND `time` > '".(time()-86400)."' AND `id_sait` = '".$id."'"));
						if($proverka_reputation == 0)
							{
								$repa = mysql_query("INSERT INTO `".$prefix."reputation` SET `type` = 'minus', `ip` = '".$ip."', `time` = '".time()."', `id_sait` = '".$id."'");
								if($repa)
									{
										echo '<div class="main">';
										echo 'Репутация сайта успешно понижена на 1 единицу!<br/>';
										echo '</div>';
									}
								else
									{
										echo '<div class="main">';
										echo 'Репутация не изменена!<br/>';
										echo '</div>';
									}
							}
							else
							{
								echo '<div class="main">';
								echo 'Вы уже голосовали за этот сайт , голосовать можно 1 раз за 24 часа!<br/>';
								echo '</div>';
							}
						
						echo '<div class="topni"><a href="http://king-top.ru/stats/'.$id.'">К статистике сайта</a></div>';
						break;
	
	
					}
	}

require_once('foot.php');
?>